summaryrefslogtreecommitdiffstats
path: root/Source/JavaScriptCore/gyp/run-if-exists.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Source/JavaScriptCore/gyp/run-if-exists.sh')
-rwxr-xr-xSource/JavaScriptCore/gyp/run-if-exists.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/Source/JavaScriptCore/gyp/run-if-exists.sh b/Source/JavaScriptCore/gyp/run-if-exists.sh
new file mode 100755
index 0000000..242ffc8
--- /dev/null
+++ b/Source/JavaScriptCore/gyp/run-if-exists.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+if [ -f $1 ]; then
+ $1 || exit $?;
+fi